/*
Header file for CFace class
 */

#ifndef _CFACE_H_
#define _CFACE_H_
#include "3DPoint.h"

class CFace : public CObject
{
	public:
		C3DPoint* IsInBetween(C3DPoint p1, C3DPoint p2);
	void AddPoint(C3DPoint* point);
		CFace();
		virtual ~CFace();
		CList  <C3DPoint *, C3DPoint *> m_points;
		C3DPoint m_centerPoint;
		C3DPoint m_normalPoint;
		void CalculateNormalAndCenter(void);
		// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIslandDoc)
	public:
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL
};

#endif // _CFACE_H_